<?php
if (!defined("root")) {
	define("root", $_SERVER['DOCUMENT_ROOT']);
}
require(root."/___simple_config.php");
session_start();
require(root."/".adminFolder."/_common.php");
require(root."/".adminFolder."/_lib/db.php");
require(root."/".adminFolder."/_lib/main.php");
require(root."/".adminFolder."/_lib/auth.php");
require(root."/".adminFolder."/_lib/bootstraps.php");
$pageSubOf = "settings";
$pageName = "banks";
$pageTitle = "Banks";
$thisUrl = "banks";
$ajax_page = "ajax_banks.php";
$pageUrl = "/".adminFolder."/$thisUrl";
$a = cekpost(cleanQuery($_GET["a"]), "");
$err = "";
if ($a=="section_main") {
	if (!authorizedModule("banks_main", $ses_kduser)) {
		unAuthorizedAccess("banks_main");
	} else {
		$fil_namabank = trim(cekpost(cleanQuery($_REQUEST["fil_namabank"]), ""));
		$fil_inisial = trim(cekpost(cleanQuery($_REQUEST["fil_inisial"]), ""));
		$fil_isactive = trim(cekpost(cleanQuery($_REQUEST["fil_isactive"]), ""));
		$swhere = '';
		if ($fil_namabank!="") { $swhere .= " AND a.namabank LIKE '%$fil_namabank%' "; }
		if ($fil_inisial!="") { $swhere .= " AND a.inisial LIKE '%$fil_inisial%' "; }
		if ($fil_isactive!="") { $swhere .= " AND a.isactive = '$fil_isactive' "; }
		
		$rs=array(); $q="SELECT a.*, b.flag AS negara_flag, namanegara FROM banks a 
			LEFT JOIN negara b ON b.kdnegara=a.kdnegara 
			WHERE 1=1 $swhere";
		callRS($rs, $q);
		if (count($rs)!=0) {
			$ld = 20;
			$cp = cekpost(cleanQuery($_GET["cp"]), "1");
			$tp = intval(count($rs) / $ld) + (count($rs)%$ld==0?0:1);
			$sr = ($cp-1) * $ld;
			$pagination = '';
			if ($tp!=1) {
				$pagination .= ('<ul class="pagination pagination-sm">');
					$disabled = '';
					$purl = '#';
					$onclick = '';
					if ($cp<=1) {
						$disabled = 'disabled';
						$onclick = ' onclick="return false;" ';
					}
					$pagination .= ('<li class="'.$disabled.'"><a href="'.$purl.'" '.($onclick!=""?$onclick:'onclick="filterReload(\''.$pageName.'\', 1);return false;"').'>&lt;&lt;</a></li>');
					$pagination .= ('<li class="'.$disabled.'"><a href="'.$purl.'" '.($onclick!=""?$onclick:'onclick="filterReload(\''.$pageName.'\', '.($cp-1).');return false;"').'>&lt;</a></li>');
					for ($c=1;$c<=$tp;$c++) {
						$active = '';
						$purl = '#';
						$disabled = '';
						$onclick = '';
						if ($c==$cp) {
							$active = 'active';
						} else {
							$purl = '#';
							$onclick = ' onclick="filterReload(\''.$pageName.'\', '.$c.');return false;" ';
						}
						$pagination .= ('<li class="'.$active.' '.$disabled.'"><a href="'.$purl.'" '.$onclick.'>'.$c.'</a></li>');
					}
					$disabled = '';
					$onclick = '';
					if ($cp>=$tp) {
						$disabled = 'disabled';
						$onclick = ' onclick="return false;" ';
					}
					$pagination .= ('<li class="'.$disabled.'"><a href="#" '.($onclick!=""?$onclick:'onclick="filterReload(\''.$pageName.'\', '.($cp+1).');return false;"').'>&gt;</a></li>');
					$pagination .= ('<li class="'.$disabled.'"><a href="#" '.($onclick!=""?$onclick:'onclick="filterReload(\''.$pageName.'\', '.$tp.');return false;"').'>&gt;&gt;</a></li>');
				$pagination .= ('</ul>');
			}
			cout('<div class="alert alert-info" role="alert"><strong>Total whole data</strong> <span class="badge">'.count($rs).'</span></div>');
			
			if ($tp!=1) {
				cout($pagination);
			}
			cout('<table class="table table-striped table-bordered">');
				cout('<thead>');
					cout('<tr>');
						cout('<th class="text-center">#ID</th>');
						if (authorizedModule("banks_element_name", $ses_kduser)) {
							cout('<th class="text-center">Name</th>');
						}
						if (authorizedModule("banks_element_initial", $ses_kduser)) {
							cout('<th class="text-center">Initial</th>');
						}
						cout('<th class="text-center">Only in Country</th>');
						if (authorizedModule("banks_element_on_off_status", $ses_kduser)) {
							cout('<th class="text-center">On/Off-Line</th>');
						}
						if (authorizedModule("banks_element_active", $ses_kduser)) {
							cout('<th class="text-center">Active Status</th>');
						}
						cout('<th class=""></th>');
					cout('</tr>');
				cout('</thead>');
				cout('<tbody>');
				$cnt = 0;
				for ($i=$sr;$i<count($rs) && $cnt<$ld;$i++) {
					$cnt++;
					$kdbank = $rs[$i]["kdbank"];
					if (intval($rs[$i]["isactive"])==0) {
						$isactive = '<a href="#" title="Activate" onclick="chActive(\''.$pageName.'\', '.$kdbank.', '.$rs[$i]["isactive"].');return false;">Non-Active</a>';
					} else {
						$isactive = '<a href="#" title="Deactivate" onclick="chActive(\''.$pageName.'\', '.$kdbank.', '.$rs[$i]["isactive"].');return false;">Active</a>';
					}
					
					if (intval($rs[$i]["ison"])==0) {
						$ison = '<a href="#" title="Set Online" onclick="chBankOnOff(\''.$pageName.'\', '.$kdbank.', '.$rs[$i]["ison"].');return false;">OFF line</a>';
					} else {
						$ison = '<a href="#" title="Set Offline" onclick="chBankOnOff(\''.$pageName.'\', '.$kdbank.', '.$rs[$i]["ison"].');return false;">ON line</a>';
					}
					cout('<tr>');
						cout('<td class="text-center">'.$kdbank.'</td>');
						if (authorizedModule("banks_element_name", $ses_kduser)) {
							cout('<td class="text-center"><a href="'.$pageUrl.'/view/'.$kdbank.'/">'.$rs[$i]["namabank"].'</a></td>');
						}
						if (authorizedModule("banks_element_initial", $ses_kduser)) {
							cout('<td class="text-center"><a href="'.$pageUrl.'/view/'.$kdbank.'/">'.$rs[$i]["inisial"].'</a></td>');
						}
						cout('<td class="mid"><span class="flag flag-'.$rs[$i]["negara_flag"].'"></span> '.$rs[$i]["namanegara"].'</td>');
						if (authorizedModule("banks_element_on_off_status", $ses_kduser)) {
							cout('<td class="text-center ison'.$kdbank.'">'.$ison.'</td>');
						}
						if (authorizedModule("banks_element_active", $ses_kduser)) {
							cout('<td class="text-center isactive'.$kdbank.'">'.$isactive.'</td>');
						}
						cout('<td class="text-center">');
							if (authorizedModule("banks_edit", $ses_kduser)) {
								cout('<a href="'.$pageUrl.'/edit/'.$kdbank.'/"><span class="glyphicon glyphicon-pencil"></span><span class="hidden-xs hidden-sm"> Edit</span></a>');
								cout(BSTextSeparator());
							}
							if (authorizedModule("banks_delete", $ses_kduser)) {
								cout('<a href="'.$pageUrl.'/delete/'.$kdbank.'/"><span class="glyphicon glyphicon-trash"></span><span class="hidden-xs hidden-sm"> Delete</span></a>');
							}
						cout('</td>');
					cout('</tr>');
				}
				cout('</tbody>');
			cout('</table>');
			
			if ($tp!=1) {
				cout($pagination);
			}
			cout('<div class="alert alert-info" role="alert"><strong>Total whole data</strong> <span class="badge">'.count($rs).'</span></div>');
			$act_ket = "Banks: Main List";
			if ($swhere!="") { $act_ket .= ": ".cleanQuery($swhere).""; }
			updateUserActivities($act_ket);
		} else {
			cout('<div class="alert alert-info" role="alert">');
				cout('<strong>No data available.</strong> Please add new data for display.');
			cout('</div>');
		}
	}
}
if ($a=="chactive") {
	$kd = cekpost(cleanQuery($_REQUEST["kd"]), "");
	$ca = cekpost(cleanQuery($_REQUEST["ca"]), "");
	$kd = (trim($kd)=="undefined")?'':$kd;
	$ca = (trim($ca)=="undefined")?'':$ca;
	if ($kd!="" && $kd!=0 && $ca!="") {
		$na = $ca==0?1:0;
		$modby = $_SESSION["user"]["inisial"];
		$modtime = time();
		$qu = "UPDATE banks SET isactive='$na', modby='$modby', modtime='$modtime' WHERE kdbank='$kd'";
		execRS($qu);
		$act_ket = "Banks: Ch. Active [kd: $kd][from Act: $ca][to Act: $na]";
		updateUserActivities($act_ket);
		if (intval($na)==0) {
			$isactive = '<a href="#" title="Activate" onclick="chActive(\''.$pageName.'\', '.$kd.', '.$na.');return false;">Non-Active</a>';
		} else {
			$isactive = '<a href="#" title="Deactivate" onclick="chActive(\''.$pageName.'\', '.$kd.', '.$na.');return false;">Active</a>';
		}
		echo $isactive;
	}
}
if ($a=="chbankonoff") {
	$kd = cekpost(cleanQuery($_REQUEST["kd"]), "");
	$ca = cekpost(cleanQuery($_REQUEST["ca"]), "");
	$kd = (trim($kd)=="undefined")?'':$kd;
	$ca = (trim($ca)=="undefined")?'':$ca;
	if ($kd!="" && $kd!=0 && $ca!="") {
		$na = $ca==0?1:0;
		$modby = $_SESSION["user"]["inisial"];
		$modtime = time();
		$qu = "UPDATE banks SET ison='$na', modby='$modby', modtime='$modtime' WHERE kdbank='$kd'";
		execRS($qu);
		$act_ket = "Banks: Ch. On/Off-Line [kd: $kd][from On-Off: $ca][to On-Off: $na]";
		updateUserActivities($act_ket);
		if (intval($na)==0) {
			$isactive = '<a href="#" title="Set Online" onclick="chBankOnOff(\''.$pageName.'\', '.$kd.', '.$na.');return false;">OFF line</a>';
		} else {
			$isactive = '<a href="#" title="Set Offline" onclick="chBankOnOff(\''.$pageName.'\', '.$kd.', '.$na.');return false;">ON line</a>';
		}
		echo $isactive;
	}
}
if ($a=="section_view") {
	if (!authorizedModule("banks_view", $ses_kduser)) {
		unAuthorizedAccess("banks_view");
	} else {
		$id = cekpost(cleanQuery($_GET["id"]), "0");
		$rs=array(); $q="SELECT a.*, b.flag AS negara_flag, namanegara  FROM banks a 
			LEFT JOIN negara b ON b.kdnegara=a.kdnegara 
			WHERE kdbank='$id'";
		callRS($rs, $q);
		if (intval($rs[0]["isactive"])==0) {
			$isactive = '<a href="#" title="Activate" onclick="chActive(\''.$pageName.'\', '.$rs[0]["kdbank"].', '.$rs[0]["isactive"].');return false;">Non-Active</a>';
		} else {
			$isactive = '<a href="#" title="Deactivate" onclick="chActive(\''.$pageName.'\', '.$rs[0]["kdbank"].', '.$rs[0]["isactive"].');return false;">Active</a>';
		}
		$creby = (trim($rs[0]["creby"])!=""?'By: <strong>'.$rs[0]["creby"].'</strong>':'By: &lt;<em>no data</em>&gt;').(trim($rs[0]["cretime"])?' ('.date('d M Y, H:i:s A', $rs[0]["cretime"]).')':' &lt;<em>no data</em>&gt;');
		$modby = (trim($rs[0]["modby"])!=""?'By: <strong>'.$rs[0]["modby"].'</strong>':'By: &lt;<em>no data</em>&gt;').(trim($rs[0]["modtime"])?' ('.date('d M Y, H:i:s A', $rs[0]["modtime"]).')':' &lt;<em>no data</em>&gt;');
		cout('<dl class="dl-horizontal dldata">');
			if (authorizedModule("banks_element_name", $ses_kduser)) {
				cout('<dt>Bank Name</dt>');
				cout('<dd>'.$rs[0]["namabank"].'</dd>');
			}
			if (authorizedModule("banks_element_initial", $ses_kduser)) {
				cout('<dt>Initial</dt>');
				cout('<dd>'.$rs[0]["inisial"].'</dd>');
			}
			
			cout('<dt>Only in Country</dt>');
			cout('<dd>'.(isset($rs[0]["namanegara"]) && $rs[0]["namanegara"]!=""?'<span class="flag flag-'.$rs[0]["negara_flag"].'"></span> '.$rs[0]["namanegara"]:'All').'</dd>');
			
			if (authorizedModule("banks_element_active", $ses_kduser)) {
				cout('<dt>Active Status</dt>');
				cout('<dd class="isactive'.$rs[0]["kd"].'">'.$isactive.'</dd>');
			}
			if (authorizedModule("banks_element_creation", $ses_kduser)) {
				cout('<dt>Created</dt>');
				cout('<dd>'.$creby.'</dd>');
			}
			if (authorizedModule("banks_element_modification", $ses_kduser)) {
				cout('<dt>Modified</dt>');
				cout('<dd>'.$modby.'</dd>');
			}
		cout('</dl>');
		
		$act_ket = "Banks: View: [kdbank: ".$rs[0]["kdbank"]."][namabank: ".$rs[0]["namabank"]."][inisial: ".$rs[0]["inisial"]."]";
		updateUserActivities($act_ket);
		exit;
	}
}
if ($a=="do_delete") {
	$kirim = cekpost(cleanQuery($_REQUEST["kirim"]), "");
	if ($kirim=="1") {
		$delby = $_SESSION["user"]["inisial"];
		$deltime = time();
		$kdbank = cekpost(cleanQuery($_POST["kdbank"]), "0");
		$rs=array(); $q="SELECT * FROM banks WHERE kdbank='$kdbank'";
		callRS($rs, $q);
		
		$q = "DELETE FROM banks WHERE kdbank='$kdbank'";
		execRS($q);
		$act_ket = "Banks: Delete: Deleted [kdbank: $kdbank][namabank: ".$rs[0]["namabank"]."][inisial: ".$rs[0]["inisial"]."][isactive: ".$rs[0]["isactive"]."]";
		updateUserActivities($act_ket);
		cout('<script type="text/javascript">parent.window.location="'.$pageUrl.'/";</script>');
		exit;
	}
}
if ($a=="section_delete") {
	if (!authorizedModule("banks_delete", $ses_kduser)) {
		unAuthorizedAccess("banks_delete");
	} else {
		$id = cekpost(cleanQuery($_GET["id"]), "0");
		$rs=array(); $q="SELECT * FROM banks WHERE kdbank='$id'";
		callRS($rs, $q);
		
		cout('<form method="post" target="quick_iframe" action="/'.adminFolder.'/_ajax/'.$ajax_page.'?a=do_delete" role="form">');
			cout('<input type="hidden" name="kirim" id="kirim" value="1" />');
			cout('<input type="hidden" name="kdbank" id="kdbank" value="'.$rs[0]["kdbank"].'" />');
			cout('<dl class="dl-horizontal dldata">');
				if (authorizedModule("banks_element_name", $ses_kduser)) {
					cout('<dt>Bank Name</dt>');
					cout('<dd>'.$rs[0]["namabank"].'</dd>');
				}
				if (authorizedModule("banks_element_initial", $ses_kduser)) {
					cout('<dt>Initial</dt>');
					cout('<dd>'.$rs[0]["inisial"].'</dd>');
				}
				cout('<dt></dt>');
				cout('<dd><button class="btn btn-primary" type="submit">Delete</button></dd>');
			cout('</dl>');
		cout('</form>');
		$viewFrame = 0;
		if ($viewFrame==1) {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="100" style="overflow:;border:1px red solid;" visibility="" scrolling="yes" frameborder="1"></iframe>');
		} else {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="11" style="overflow:hidden;" visibility="hidden" scrolling="no" frameborder="0"></iframe>');
		}
		$act_ket = "Banks: Deleting... [kd: ".$rs[0]["kd"]."][nama: ".$rs[0]["nama"]."]";
		updateUserActivities($act_ket);
		exit;
	}
}
if ($a=="do_edit") {
	$kirim = cekpost(cleanQuery($_REQUEST["kirim"]), "");
	$err = "";
	if ($kirim=="1") {
		$kdbank = cekpost(cleanQuery($_REQUEST["kdbank"]), "0");
		$namabank = cekpost(cleanQuery($_REQUEST["namabank"]), "");
		$inisial = cekpost(cleanQuery($_REQUEST["inisial"]), "");
		$kdnegara = cekpost(cleanQuery($_REQUEST["kdnegara"]), 0);
		$isactive = cekpost(cleanQuery($_REQUEST["isactive"]), 0);
		if ($namabank=="") { $err.= BSErrorMessage('Bank Name must be filled'); }
		if ($inisial=="") { $err.= BSErrorMessage('Initial must be filled'); }
		if ($err=="") {
			$modby = $_SESSION["user"]["inisial"];
			$modtime = time();
			$q = "UPDATE banks SET namabank='$namabank', inisial='$inisial', kdnegara='$kdnegara', isactive='$isactive', modby='$modby', modtime='$modtime' 
				WHERE kdbank='$kdbank'";
			execRS($q);
			$act_ket = "Banks: Edit: Updated [kdbank: $kdbank][namabank: $namabank][inisial: $inisial][kdnegara: $kdnegara][isactive: $isactive]";
			updateUserActivities($act_ket);
			cout('<script type="text/javascript">parent.window.location="'.$pageUrl.'/view/'.$kdbank.'/";</script>');
		} else {
			cout('<script type="text/javascript">parent.showError(\''.$err.'\');</script>');
		}
		exit;
	}
	exit;
}
if ($a=="section_edit") {
	if (!authorizedModule("banks_edit", $ses_kduser)) {
		unAuthorizedAccess("banks_edit");
	} else {
		$id = cekpost(cleanQuery($_GET["id"]), "0");
		$rs=array(); $q="SELECT * FROM banks WHERE kdbank='$id'";
		callRS($rs, $q);
		cout('<form method="post" target="quick_iframe" action="/'.adminFolder.'/_ajax/'.$ajax_page.'?a=do_edit" role="form">');
			cout('<input type="hidden" name="kirim" id="kirim" value="1" />');
			cout('<input type="hidden" name="kdbank" id="kdbank" value="'.$rs[0]["kdbank"].'" />');
			cout('<dl class="dl-horizontal dldata">');
				if (authorizedModule("banks_element_name", $ses_kduser)) {
					cout('<dt><label for="namabank">Bank Name</label></dt>');
					cout('<dd><input class="form-control" type="text" name="namabank" id="namabank" value="'.$rs[0]["namabank"].'" /></dd>');
				}
				if (authorizedModule("banks_element_initial", $ses_kduser)) {
					cout('<dt><label for="inisial">Initial</label></dt>');
					cout('<dd><input class="form-control" type="text" name="inisial" id="inisial" value="'.$rs[0]["inisial"].'" /></dd>');
				}
				
				cout('<dt><label for="kdnegara">Only in Country</label></dt>');
				cout('<dd>');
					cout('<select name="kdnegara" id="kdnegara" class="form-control">');
						cout('<option value="0" '.((0==$rs[0]["kdnegara"])?' selected="selected"':'').'>All</option>');
						$rsgc=array();$qgc="SELECT * FROM negara WHERE isactive=1";
						callRS($rsgc, $qgc);
						for ($i=0;$i<count($rsgc);$i++) {
							cout('<option value="'.$rsgc[$i]["kdnegara"].'" '.(($rsgc[$i]["kdnegara"]==$rs[0]["kdnegara"])?' selected="selected"':'').'>'.$rsgc[$i]["namanegara"].' ('.$rsgc[$i]["kodenegara"].')</option>');
						}
					cout('</select>');
				cout('</dd>');
				
				if (authorizedModule("banks_element_active", $ses_kduser)) {
					$isactive0 = intval($rs[0]["isactive"])==0?'selected="selected"':'';
					$isactive1 = intval($rs[0]["isactive"])==1?'selected="selected"':'';
					cout('<dt><label for="isactive">Active Status</label></dt>');
					cout('<dd>
						<select name="isactive" id="isactive" class="form-control">
							<option value="0" '.$isactive0.'>Non-Active</option>
							<option value="1" '.$isactive1.'>Active</option>
						</select>
					</dd>');
				}
				
				cout('<dt></dt>');
				cout('<dd class="err"></dd>');
				
				cout('<dt></dt>');
				cout('<dd><button class="btn btn-primary" type="submit">Update</button></dd>');
			cout('</dl>');
		cout('</form>');
		cout('<script>parent.bindDatePicker(\'.tanggal\');</script>');
		$viewFrame = 0;
		if ($viewFrame==1) {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="100" style="overflow:;border:1px red solid;" visibility="" scrolling="yes" frameborder="1"></iframe>');
		} else {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="11" style="overflow:hidden;" visibility="hidden" scrolling="no" frameborder="0"></iframe>');
		}
		$act_ket = "Banks: Editing... [kd: ".$rs[0]["kd"]."][nama: ".$rs[0]["nama"]."]";
		updateUserActivities($act_ket);
		exit;
	}
}
if ($a=="do_add") {
	$kirim = cekpost(cleanQuery($_REQUEST["kirim"]), "");
	$err = "";
	if ($kirim=="1") {
		$namabank = cekpost(cleanQuery($_REQUEST["namabank"]), "");
		$inisial = cekpost(cleanQuery($_REQUEST["inisial"]), "");
		$kdnegara = cekpost(cleanQuery($_REQUEST["kdnegara"]), 0);
		$isactive = cekpost(cleanQuery($_REQUEST["isactive"]), 0);
		if ($namabank=="") { $err.= BSErrorMessage('Bank Name must be filled'); }
		if ($inisial=="") { $err.= BSErrorMessage('Initial must be filled'); }
		if ($err=="") {
			$creby = $_SESSION["user"]["inisial"];
			$cretime = time();
			$kdbank = getID("banks", "kdbank");
			$q = "INSERT INTO banks (kdbank, namabank, inisial, kdnegara, isactive, creby, cretime) 
				VALUES ('$kdbank', '$namabank', '$inisial', '$kdnegara', '$isactive', '$creby', '$cretime')";
			execRS($q);
			$act_ket = "Banks: Add [kd: $kd][namabank: $namabank][inisial: $inisial][isactive: $isactive]";
			updateUserActivities($act_ket);
			cout('<script type="text/javascript">parent.window.location="'.$pageUrl.'/view/'.$kdbank.'/";</script>');
		} else {
			cout('<script type="text/javascript">parent.showError(\''.$err.'\');</script>');
		}
		exit;
	}
	exit;
}
if ($a=="section_add") {
	if (!authorizedModule("banks_add", $ses_kduser)) {
		unAuthorizedAccess("banks_add");
	} else {
		cout('<form method="post" target="quick_iframe" action="/'.adminFolder.'/_ajax/'.$ajax_page.'?a=do_add" role="form">');
			cout('<input type="hidden" name="kirim" id="kirim" value="1" />');
			cout('<dl class="dl-horizontal dldata">');
				cout('<dt><label for="namabank">Bank Name</label></dt>');
				cout('<dd><input class="form-control" type="text" name="namabank" id="namabank" /></dd>');
				
				cout('<dt><label for="inisial">Initial</label></dt>');
				cout('<dd><input class="form-control" type="text" name="inisial" id="inisial" /></dd>');
				
				cout('<dt><label for="kdnegara">Only in Country</label></dt>');
				cout('<dd>');
					cout('<select name="kdnegara" id="kdnegara" class="form-control">');
						cout('<option value="">All</option>');
						$rsgc=array();$qgc="SELECT * FROM negara WHERE isactive=1";
						callRS($rsgc, $qgc);
						for ($i=0;$i<count($rsgc);$i++) {
							cout('<option value="'.$rsgc[$i]["kdnegara"].'">'.$rsgc[$i]["namanegara"].' ('.$rsgc[$i]["kodenegara"].')</option>');
						}
					cout('</select>');
				cout('</dd>');
				
				cout('<dt><label for="isactive">Active Status</label></dt>');
				cout('<dd>
					<select name="isactive" id="isactive" class="form-control">
						<option value="0">Non-Active</option>
						<option value="1">Active</option>
					</select>
				</dd>');
				
				cout('<dt></dt>');
				cout('<dd class="err"></dd>');
				
				cout('<dt></dt>');
				cout('<dd><button class="btn btn-primary" type="submit">Add</button></dd>');
			cout('</dl>');
		cout('</form>');
		cout('<script>parent.bindDatePicker(\'.tanggal\');</script>');
		$viewFrame = 0;
		if ($viewFrame==1) {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="100" style="overflow:;border:1px red solid;" visibility="" scrolling="yes" frameborder="1"></iframe>');
		} else {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="11" style="overflow:hidden;" visibility="hidden" scrolling="no" frameborder="0"></iframe>');
		}
		$act_ket = "Banks: Adding...";
		updateUserActivities($act_ket);
		exit;
	}
}
?>